Skitflow
Generated

Mysql

Skitflow API reference for Mysql endpoints.

POST
/mysql.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "appName": "string",    "projectId": "string",    "databaseName": "string",    "databaseUser": "string",    "databasePassword": "string",    "databaseRootPassword": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/mysql.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

mysqlId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/mysql.one?mysqlId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.start

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.start" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.stop

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.stop" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.saveExternalPort

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.saveExternalPort" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string",    "externalPort": 0  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.deploy

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.deploy" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.changeStatus

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.changeStatus" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string",    "applicationStatus": "idle"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.reload

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.reload" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string",    "appName": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.remove

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.remove" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.saveEnvironment

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.saveEnvironment" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/mysql.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/mysql.update" \  -H "Content-Type: application/json" \  -d '{    "mysqlId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}